package com.quantgroup.asset.distribution.service.funding;

import java.util.Map;

import com.quantgroup.asset.distribution.model.response.GlobalResponse;
import com.quantgroup.asset.distribution.service.jpa.entity.FundModuleChannelFundConfig;

/**
 * 渠道资金配置Service
 * @author liwenbin
 *
 */
public interface IFundModuleChannelFundConfigService {
	
	public Map<String, Object> getChannelFundConfigsByChannelOrFundId(String bizChannel, Long fundId, Integer pageNum, Integer pageSize);
	
	public GlobalResponse addChannelFundConfig(String bizChannel, String funds, String remarks, String proposer, String auditor);
	
	public GlobalResponse updateChannelFundConfig(Long id, String bizChannel, String funds, String remarks, String proposer, String auditor);
	
	public FundModuleChannelFundConfig findByBizChannel(String bizChannel);
	
	public FundModuleChannelFundConfig findById(Long id);
	
	public FundModuleChannelFundConfig auditPassConfig(Long preId, Long auditId);
	
	public void clearChannelFundConfigCache(String bizChannel);
}
